Subject: [PATCH 1/3] ARM: dts: overo: Add support for DVI output

From: [email-masked] (Florian Vaussard)
Date: Thu, 13 Mar 2014 09:25:43 +0100

Hi,

On 03/12/2014 08:11 AM, Tomi Valkeinen wrote:
> On 11/03/14 14:34, Florian Vaussard wrote:
>> Summit and Tobi expansion boards have a HDMI connector with a TFP410
>> encoder. Add a common include file for this configuration, and then
>> use it for Summit and Tobi.
>>
>> Signed-off-by: Florian Vaussard <[email-masked]>
>> ---
>>  arch/arm/boot/dts/omap3-overo-common-dvi.dtsi    | 109 +++++++++++++++++++++++
>>  arch/arm/boot/dts/omap3-overo-summit-common.dtsi |   1 +
>>  arch/arm/boot/dts/omap3-overo-tobi-common.dtsi   |   1 +
>>  3 files changed, 111 insertions(+)
>>  create mode 100644 arch/arm/boot/dts/omap3-overo-common-dvi.dtsi
> 
> <snip>
> 
>> +&dss {
>> +	status = "ok";
>> +
>> +	pinctrl-names = "default";
>> +	pinctrl-0 = <&dss_dpi_pins
>> +		     &i2c3_pins>;
> 
> The i2c3 pins don't belong here, they are not related to dss. The
> dvi-connector uses i2c3, but I don't think they belong there either, as
> the i2c3 bus can be used by multiple devices. So I guess they should be
> set in &i2c3 node.
> 

You are right. And as I am already using i2c3 for other things, this
duplicates the pinctrl. I will drop it.

Regards,
Florian